using System.ComponentModel.DataAnnotations;

namespace DiplomovaPrace.Contracts.Customer.Security.InputModels
{
	public class PasswordChangeIM
	{
		public int UserID { get; set; }

		[Required(ErrorMessage = "Aktuální heslo je vyžadováno!")]
		[DataType(DataType.Password)]
		public string OldPassword { get; set; }

		[Required(ErrorMessage = "Heslo je vyžadováno!")]
		[StringLength(255, ErrorMessage = "Heslo musí obsahovat minimálně 8 znaků!", MinimumLength = 8)]
		[DataType(DataType.Password)]
		public string Password { get; set; }

		[Required(ErrorMessage = "Potvrzení hesla je vyžadováno!")]
		[Compare(nameof(Password), ErrorMessage = "Hesla se musí shodovat!")]
		[DataType(DataType.Password)]
		public string ConfirmPassword { get; set; }
	}
}
